<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org" lang="en">

<head>
</head>

<body>
<div th:fragment="resultsList"  >
        <!-- Edit Modal HTML -->
        <div id="editModal" class="modal fade">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form action="#" th:action="@{/creditcard}" th:object="${cardNumberEdit}" method="POST">
                        <div class="modal-header">
                            <h4 class="modal-title">Edit Creditcard </h4>
                            <button type="button" class="close" onclick="$('#editModal').modal('hide')">&times;</button>
                        </div>
                        <div th:if="${successMessage}" class="alert alert-success">
                            <span class="text-success" th:utext="${successMessage}"></span>
                        </div>
                        <div th:if="${param.error}">
                            <div class="alert alert-danger">
                                <span th:text="${param.error}" />

                            </div>
                        </div>
                        <input type="hidden" class="form-control" th:field="${creditcardEdit.creator.username}" >
                        <input type="hidden" class="form-control" th:field="${creditcardEdit.id}" >
                        <div class="modal-body">
                            <div class="form-group">
                                <label>Name holder</label>
                                <input type="text" class="form-control" th:field="${creditcardEdit.nameHolder}" th:readonly="${creditcardEdit.id}" required>
                            </div>
                            <div class="form-group">
                                <label>Number </label>
                                <input type="number" class="form-control" th:field="${creditcardEdit.number}"  th:readonly="${creditcardEdit.id}" required>
                            </div>
                            <div class="form-group">
                                <label>Exiry date </label>
                                <input type="date" class="form-control" th:field="${creditcardEdit.expiryDate}" requireddata-date-format="MM/yyyy" >
                            </div>

                        </div>
                        <div class="modal-footer">
                            <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel">
                            <input type="submit" class="btn btn-info" value="Save">
                        </div>
                    </form>
                </div>
            </div>
    </div>
    <script type="text/javascript">$("#editModal").modal("show");</script>
</div>
</body>
</html>